close all;                                        % 모든 생성된 창을 닫음 
clear all;                                        % 열려있는 작업영역(workspace)을 모두 비움 
clc;                                              % 명령(command) 창을 비움

N=1024;                                           % 데이터 수 설정
f0=1; fc=20;                                      % 메시지 신호 및 반송파의 주파수 설정
ti=0; tf=1;                                       % 시간 구간 값 설정
Ts=(tf-ti)/N;                                     % 시간(샘플링) 간격 설정 
t=[ti:Ts:tf-Ts];                                  % 시간축 생성
df=1/(Ts*N);                                      % 주파수축 간격(해상도) 설정
f=df*[-N/2:N/2-1];                                % 주파수축 생성

m=cos(2*pi*f0*t);                                 % 메시지 신호 생성
c=2*cos(2*pi*fc*t);                               % 반송파 생성
s=m.*c;                                           % 변조 신호 생성
Sf=fftshift((1/N)*fft(s));                        % 변조 신호의 스펙트럼 계산

subplot(3,1,1);                                   % 3행 1열 분할 그림창의 1번 창 
plot(t,m,t,c,':r');                               % 메시지 신호와 반송파를 그림
title('\bf{메시지 신호 m(t)와 반송파 c(t)}');      % 그림 제목 
xlabel('\bf{t}');                                 % x축 라벨 표시 
subplot(3,1,2);                                   % 3행 1열 분할 그림창의 2번 창 
plot(t,s);                                        % 변조 신호를 그림
title('\bf{변조 신호 s(t)}');                      % 그림 제목
xlabel('\bf{t}');                                 % x축 라벨 표시 
subplot(3,1,3);                                   % 3행 1열 분할 그림창의 3번 창 
stem(f,abs(Sf));                                  % 변조 신호의 진폭 스펙트럼을 그림
axis([-25 25 0 1]);                               % 그림 영역 설정
title('\bf{변조 신호 s(t)의 스펙트럼}');           % 그림 제목
xlabel('\bf{f}');                                 % x축 라벨 표시 